Package org.eclipse.emf.cdo.common.revision

# Enum Class CDORevisionCrawler.FeatureStrategy.Decision

java.lang.Object
java.lang.Enum<CDORevisionCrawler.FeatureStrategy.Decision>
org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.FeatureStrategy.Decision

All Implemented Interfaces:
  `Serializable`, `Comparable<CDORevisionCrawler.FeatureStrategy.Decision>`, `Constable`

Enclosing interface:
  `CDORevisionCrawler.FeatureStrategy`

public static enum CDORevisionCrawler.FeatureStrategy.Decision extends Enum<CDORevisionCrawler.FeatureStrategy.Decision>
Decision for feature handling: skip, handle, follow, or both.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Follow`
Follow the feature only.
`Handle`
Handle the feature only.
`HandleAndFollow`
Handle and follow the feature.
`Skip`
Skip the feature.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFollow()`
Returns true if the feature should be followed.
`boolean`
`isHandle()`
Returns true if the feature should be handled.
`static CDORevisionCrawler.FeatureStrategy.Decision`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORevisionCrawler.FeatureStrategy.Decision[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Skip

public static final CDORevisionCrawler.FeatureStrategy.Decision Skip
Skip the feature.

### Handle

public static final CDORevisionCrawler.FeatureStrategy.Decision Handle
Handle the feature only.

### Follow

public static final CDORevisionCrawler.FeatureStrategy.Decision Follow
Follow the feature only.

### HandleAndFollow

public static final CDORevisionCrawler.FeatureStrategy.Decision HandleAndFollow
Handle and follow the feature.

## Method Details

### values

public static CDORevisionCrawler.FeatureStrategy.Decision[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDORevisionCrawler.FeatureStrategy.Decision valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isHandle

public boolean isHandle()
Returns true if the feature should be handled.

### isFollow

public boolean isFollow()
Returns true if the feature should be followed.